2017-11-20 05:22 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000444v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:15
Reporterpacho 
Assigned Tocaseydk 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Versionv2.0.0 
Summary0000444: Changes in Departments lead to crash in history
DescriptionAfter a change of a department name the history crashes.

The Webserver-Log shows that a wrong table column name is addressed:
[Tue May 11 17:13:50 2010] [error] [client 134.99.135.91] /var/www/w2p/classes/query.class.php(1170): query failed(SELECT department_id FROM ((`departments` AS departments)) WHERE department_id =8) - error was: <span style="color:red">Unknown column 'department_id' in 'field list'</span>, referer: http://ukd-pm.vmed.ukd/w2p/index.php?m=history

The correct DB fields are:
dept_id dept_parent dept_company dept_name dept_phone dept_fax dept_address1 dept_address2 dept_city dept_state dept_zip dept_url dept_desc dept_owner dept_country dept_email dept_type

The error reads:
http://ukd-pm/w2p/index.php?m=history

 

ERROR: /var/www/w2p/classes/query.class.php(1170) : query failed(SELECT department_id FROM ((`departments` AS departments)) WHERE department_id =22) - error was: Unknown column 'department_id' in 'field list'

Backtrace:

0 /var/www/w2p/classes/query.class.php:1170 dprint('/var/www/w2p/classes/query.class.php',1170,0,'query failed(SELECT department_id FROM ((`departments` AS departments)) WHERE department_id =22) - error was: Unknown column \'department_id\' in \'field list\'')

1 /var/www/w2p/classes/query.class.php:1408 exec(1)

2 /var/www/w2p/modules/history/index.php:46 loadResult()

3 /var/www/w2p/modules/history/index.php:216 show_history(array (

  'history_date' => '2010-05-18 13:45:34',

  'history_id' => '6292',

  'history_item' => '22',

  'history_table' => 'departments',

  'history_description' => 'D05.2Kommunikationstechnik',

  'history_action' => 'update',

  'history_user_name' => 'Walther Stefan',

))

4 /var/www/w2p/index.php:363 require('/var/www/w2p/modules/history/index.php')

Ă„nderung (Changes): Objekt 'D05.2Kommunikationstechnik' in Abteilungen (Departments) Modul

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000887

caseydk (administrator)

Resolved in r1081.
+Notes

-Issue History
Date Modified Username Field Change
2010-05-18 23:08 pacho New Issue
2010-05-20 09:30 caseydk Project v1.3 Release (Closed) => v2.0 Release (Closed)
2010-05-23 20:12 caseydk Note Added: 0000887
2010-05-23 20:12 caseydk Status new => resolved
2010-05-23 20:12 caseydk Resolution open => fixed
2010-05-23 20:12 caseydk Assigned To => caseydk
2010-06-21 21:15 caseydk Status resolved => closed
2010-06-21 21:15 caseydk Fixed in Version => v2.0
+Issue History